require "defines"

for _,v in pairs(game.forces) do
	v.technologies["logistics-3"].reload()
	v.recipes["terminal-chest"].enabled=v.technologies["logistics-3"].researched
end

glob.terminal_chest_list = {}
local terminal_chest_list = glob.terminal_chest_list

game.onload(function()
terminal_chest_list = glob.terminal_chest_list
end)

game.onevent(defines.events.onbuiltentity, function(event)
	if event.createdentity.name == "terminal-chest" then
		local p = event.createdentity.position
		
		table.insert(terminal_chest_list,{
				event.createdentity,
				{{p.x-.5,p.y-.5},{p.x+.5,p.y+.5}},
				event.createdentity.getinventory(defines.inventory.chest)
				})
	end
end)

game.onevent(defines.events.ontick, function(event)
	if game.tick%4>0 then return end
	for _,s in pairs(terminal_chest_list) do
		if not s[1].valid then
			table.remove(terminal_chest_list,_)
		else
			for _,i in pairs(game.findentitiesfiltered{area=s[2], name="item-on-ground"}) do
				if i.stack and s[3].caninsert(i.stack) then
					s[3].insert(i.stack)
					i.destroy()
				end
			end
		end
	end
end)
