data:extend(
{

	{ type = "recipe", name = "terminal-chest",
	enabled = "false",
	ingredients =
	{
		{"smart-chest", 1},
		{"express-splitter",4}
	},
	result = "terminal-chest"
  },
	{ type = "item", name = "terminal-chest",
	icon = "__terminalchest__/graphics/terminal-icon.png",
	flags = {"goes-to-quickbar"},
	subgroup = "storage",
	order = "a[items]-d[terminal-chest]",
	place_result = "terminal-chest",
	stack_size = 64
	},
  { type = "smart-container", name = "terminal-chest",
    icon = "__terminalchest__/graphics/terminal-icon.png",
    flags = {"placeable-neutral", "player-creation"},
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "terminal-chest"
    },
    max_health = 150,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    fast_replaceable_group = "container",
    inventory_size = 8,--wood 16,iron 32,steel/smart 48,
    picture =
    {
      filename = "__terminalchest__/graphics/tchest.png",
      priority = "extra-high",
      width = 62,
      height = 41,
      shift = {0.4, -0.13}
    },
    connection_point =
    {
      shadow =
      {
        red = {0.7, -0.3},
        green = {0.7, -0.3}
      },
      wire =
      {
        red = {0.3, -0.8},
        green = {0.3, -0.8}
      }
    }
  }
})

table.insert(data.raw["technology"]["logistics-3"].effects,{type="unlock-recipe",recipe="terminal-chest"})